## EogSidebar

EogSidebar

## Synopsis

                        EogSidebar;
    GtkWidget *         eog_sidebar_new                     (void);
    void                eog_sidebar_add_page                (EogSidebar *eog_sidebar,
                                                             const gchar *title,
                                                             GtkWidget *main_widget);
    void                eog_sidebar_remove_page             (EogSidebar *eog_sidebar,
                                                             GtkWidget *main_widget);
    void                eog_sidebar_set_page                (EogSidebar *eog_sidebar,
                                                             GtkWidget *main_widget);
    gint                eog_sidebar_get_n_pages             (EogSidebar *eog_sidebar);
    gboolean            eog_sidebar_is_empty                (EogSidebar *eog_sidebar);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkVBox
                                           +----EogSidebar

## Implemented Interfaces

EogSidebar implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Properties

      "current-page"             GtkWidget*            : Read / Write

## Signals

      "page-added"                                     : Run First
      "page-removed"                                   : Run First

## Description

## Details

### EogSidebar

    typedef struct _EogSidebar EogSidebar;

### eog_sidebar_new ()

    GtkWidget *         eog_sidebar_new                     (void);

Returns : |

### eog_sidebar_add_page ()

    void                eog_sidebar_add_page                (EogSidebar *eog_sidebar,
                                                             const gchar *title,
                                                             GtkWidget *main_widget);

`eog_sidebar` : |
`title` : |
`main_widget` : |

### eog_sidebar_remove_page ()

    void                eog_sidebar_remove_page             (EogSidebar *eog_sidebar,
                                                             GtkWidget *main_widget);

`eog_sidebar` : |
`main_widget` : |

### eog_sidebar_set_page ()

    void                eog_sidebar_set_page                (EogSidebar *eog_sidebar,
                                                             GtkWidget *main_widget);

`eog_sidebar` : |
`main_widget` : |

### eog_sidebar_get_n_pages ()

    gint                eog_sidebar_get_n_pages             (EogSidebar *eog_sidebar);

`eog_sidebar` : |
Returns : |

### eog_sidebar_is_empty ()

    gboolean            eog_sidebar_is_empty                (EogSidebar *eog_sidebar);

`eog_sidebar` : |
Returns : |

## Property Details

### The `"current-page"` property

      "current-page"             GtkWidget*            : Read / Write

The currently visible page.

## Signal Details

### The `"page-added"` signal

    void                user_function                      (EogSidebar *eogsidebar,
                                                            GtkWidget  *widget,
                                                            gpointer    user_data)       : Run First

`eogsidebar` : | the object which received the signal.
`widget` : |
`user_data` : | user data set when the signal handler was connected.

### The `"page-removed"` signal

    void                user_function                      (EogSidebar *eogsidebar,
                                                            GtkWidget  *widget,
                                                            gpointer    user_data)       : Run First

`eogsidebar` : | the object which received the signal.
`widget` : |
`user_data` : | user data set when the signal handler was connected.